com.lowagie.text.xml.simpleparser

## Class IanaEncodings

- java.lang.Object
- - com.lowagie.text.xml.simpleparser.IanaEncodings

    public class IanaEncodings
    extends java.lang.Object

Translates a IANA encoding name to a Java encoding.

### Field Summary

Fields
`private static java.util.HashMap` `map` The object that maps IANA to Java encodings.

### Constructor Summary

Constructors
Constructor and Description
`IanaEncodings()`

### Method Summary

Methods
`static java.lang.String` `getJavaEncoding(java.lang.String iana)` Gets the java encoding from the IANA encoding.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### map

    private static final java.util.HashMap map

The object that maps IANA to Java encodings.

### Constructor Detail

#### IanaEncodings

    public IanaEncodings()

### Method Detail

#### getJavaEncoding

    public static java.lang.String getJavaEncoding(java.lang.String iana)

Gets the java encoding from the IANA encoding. If the encoding cannot be found it returns the input.

Parameters:
  `iana` - the IANA encoding
Returns:
  the java encoding